# IRdMaterialLookupTable Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetNodeIndex ([in] BSTR szNodeName,[out, retval] RtDWORD *pdwIndex)
HRESULT | GetMaterialLookupsCount ([in] RtUlong dwIndex,[out, retval] RtDWORD *pdwCount)
HRESULT | GetMaterialLookup ([in] RtUlong dwIndex,[in] RtUlong dwLookup,[out] RtDWORD *pdwSrc,[out] RtDWORD *pdwDst)
HRESULT | AddNode ([in] BSTR szNodeName,[out, retval] RtDWORD *pdwIndex)
HRESULT | AddMaterialLookup ([in] RtUlong dwIndex,[in] RtDWORD dwSrc,[in] RtDWORD dwDst)

## Detailed Description

Material lookup table data object used for translating material indices.

## Member Function Documentation

HRESULT IRdMaterialLookupTable::GetNodeIndex | ( | [in] BSTR | szNodeName,
|  | [out, retval] RtDWORD * | pdwIndex |
| ) |  |  |

Return node index within material lookup table.

Parameters:

  | szNodeName | [in] Node name for which index is required.

Returns:
  pdwIndex [out,retval] Node index.

HRESULT IRdMaterialLookupTable::GetMaterialLookupsCount | ( | [in] RtUlong | dwIndex,
|  | [out, retval] RtDWORD * | pdwCount |
| ) |  |  |

Return total number of material lookups for specified index.

Parameters:

  | dwIndex | [in] Node index.

Returns:
  pdwCount [out, retval] Total number of index lookups.

HRESULT IRdMaterialLookupTable::GetMaterialLookup | ( | [in] RtUlong | dwIndex,
|  | [in] RtUlong | dwLookup,
|  | [out] RtDWORD * | pdwSrc,
|  | [out] RtDWORD * | pdwDst |
| ) |  |  |

Return material lookup specified node and lookup index

Parameters:

  | dwIndex | [in] Node index.
  | dwLookup | [in] Lookup index.
  | pdwSrc | [out] Source material index.
  | pdwDst | [out] Destination material index.

HRESULT IRdMaterialLookupTable::AddNode | ( | [in] BSTR | szNodeName,
|  | [out, retval] RtDWORD * | pdwIndex |
| ) |  |  |

Add new node to material lookup table.

Parameters:

  | szNodeName | [in] Node name to add.

Returns:
  pdwIndex [out,retval] Node index.

HRESULT IRdMaterialLookupTable::AddMaterialLookup | ( | [in] RtUlong | dwIndex,
|  | [in] RtDWORD | dwSrc,
|  | [in] RtDWORD | dwDst |
| ) |  |  |

Return material lookup specified node and lookup index.

Parameters:

  | dwIndex | [in] Node index.
  | dwSrc | [in] Source material index.
  | dwDst | [in] Destination material index.